Subject: Re: receive.denyCurrentBranch=updateInstead won't update the repo

From: Junio C Hamano <[email-masked]>
Date: Mon, 17 Jul 2023 14:09:20 -0700

"Adam \"Sinus\" Skawiński"  <[email-masked]> writes:

> needed. I made it output some lines and exit with code 1, so it should
> abort after producing the output - and yet the pushes come through.

Did the output come back to your client side?  "git push -v" should
show.

If there is no need to update (i.e. after a successful push, you try
to push the same thing), the hook would not even run, so you may need
to rewind the "server" side while experimenting.